#language: ru

@milk_reception

Функционал: 01_milk_reception.02.007 Создание документа Акт Расхождения при приемке молока

Сценарий: 01_milk_reception.02.007 Создание документа Акт Расхождения при приемке молока
	Дано Я переключаюсь на открытый клиент "milk_rec_Приемщик молока"
	И В командном интерфейсе я выбираю 'Производство' 'Акты расхождений при приемке молока'
	Тогда открылось окно 'Акты расхождений при приемке молока'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание)'
	И я нажимаю кнопку выбора у поля "Основание"
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль' | 'Водитель' | 'Поставщики'  |
		| 'екгке546'   | 'Иванов'   | 'Поставщик 1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И я нажимаю кнопку выбора у поля "Поставщик"
	Тогда открылось окно 'Контрагенты'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Поставщик 1'  |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И я нажимаю кнопку выбора у поля "Пункт сборки"
	Тогда открылось окно 'Пункты сборки'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И в поле 'Номер ТТН' я ввожу текст '895665'
	И в поле 'Время начала слива' я ввожу текст ' 8:05:08'
	И в поле 'Номер секции' я ввожу текст '1'
	И я перехожу к закладке "Показатели"
	И в таблице "Показатели" я нажимаю на кнопку с именем 'ПоказателиДобавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                                 |
		| 'Показатель анализов номенклатуры' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДЖ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И в таблице "Показатели" я активизирую поле "Значение заявлено"
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Значение заявлено"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И в таблице "Показатели" в поле 'Значение заявлено' я ввожу текст '3,300'
	И в таблице "Показатели" я активизирую поле "Значение факт"
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Значение факт"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И в таблице "Показатели" в поле 'Значение факт' я ввожу текст '3,500'
	И в таблице "Показатели" я активизирую поле "Расхождение"
	И в таблице "Показатели" в поле 'Расхождение' я ввожу текст '0,200'
	И в таблице "Показатели" я нажимаю на кнопку с именем 'ПоказателиДобавить'
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Показатель"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                                 |
		| 'Показатель анализов номенклатуры' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'МДБ'          |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И в таблице "Показатели" я активизирую поле "Значение заявлено"
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Значение заявлено"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И в таблице "Показатели" в поле 'Значение заявлено' я ввожу текст '3,200'
	И в таблице "Показатели" я завершаю редактирование строки
	И в таблице "Показатели" я активизирую поле "Значение факт"
	И в таблице "Показатели" я нажимаю кнопку выбора у реквизита "Значение факт"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''      |
		| 'Число' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Акт расхождений при приемке молока (создание) *'
	И в таблице "Показатели" в поле 'Значение факт' я ввожу текст '3,100'
	И в таблице "Показатели" в поле 'Расхождение' я ввожу текст '0,100'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Акт расхождений при приемке молока (создание) *' в течение 20 секунд
	Тогда открылось окно 'Акты расхождений при приемке молока'
	И Я закрываю окно 'Акты расхождений при приемке молока'

Сценарий: 01_milk_reception.02.007 Закрытие клиента
	И я закрываю сеанс TESTCLIENT